# Installation


## Setting up the environment

1. Create a virtual environment:
```bash
python3 -m venv .venv
```

2. Activate the virtual environment:
```bash
. .venv/bin/activate
```

3. Install dependencies:
```bash
pip install requirements.txt
```

```systemd
# /etc/systemd/system/adrianux.service
[Unit]
Description=WSGI app
After=network.target

[Service]
Type=simple
User=adrianux
WorkingDirectory=/opt/Adrianux.net
ExecStart=/opt/Adrianux.net/.venv/bin/waitress-serve --listen=127.0.0.1:8080 app:app
Restart=always

[Install]
WantedBy=multi-user.target
```

